#include <avr/io.h>
#include <stdint.h>
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <inttypes.h>

volatile uint8_t p;
volatile uint8_t q;

uint8_t i, x; //allgemein verwendete Variablen

int main() {
	DDRD = 0xFF; //PORTD komplett als Ausgang
  LcdInit(62);
	
	for(x=0; x<253; x++) {
	  LCD_Out(0, 1); LCD_Out(0, 1);
  }

  TCCR0 = 0b00000101; //Prescaler 1024
  
  TIMSK = 0x01;
  DDRD = 0xFF;
  p = 0;
  q = 0;
  sei();
  while(1);  
	return 0;	
}

SIGNAL (SIG_OVERFLOW0) {
	p++;
	LCD_BigNum(q,3);
  LCD_Char(32);
  if (p == 15) {
		p = 0;
    q++;
	}
  if (q>=250) { q = 0; }
  TCNT0 = 11; //Overflow bei 255-244 -> 0.1s
}
